from abc import ABC, abstractmethod

from py_to_uxf_core.model.class_implementation import ClassImplementation
from py_to_uxf_core.model.python_class import PythonClass


class UmletCreatorABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def generate_xml(self, classes: list[PythonClass], implementations: list[ClassImplementation]) -> str: pass
